# kappa123/server/main/views.py


#################
#### imports ####
#################

from flask import render_template, Blueprint
#from aaaaaaa import pack_ints, unpack_ints
from kappa123.server.runs import inject_run_class, fetch_or_cache_runs
def pack_ints(s):
    return "butts"

def unpack_ints(s):
    return set()

################
#### config ####
################

main_blueprint = Blueprint('main', __name__,)


################
#### routes ####
################


@main_blueprint.route('/')
def home():
    all_runs = fetch_or_cache_runs()
    return render_template(
        'main/home.html',
        runs=all_runs
    )


@main_blueprint.route("/about/")
def about():
    return render_template("main/about.html")

@main_blueprint.route("/<preferences>")
def returning_user(preferences):
    unpacked_set = unpack_ints(preferences)
    all_runs = fetch_or_cache_runs()
    runs = inject_run_class(all_runs, unpacked_set)
    return render_template(
        "main/home.html",
        runs=runs
    )
